Package it.ernytech.tdlib

## Class TdApi.ShippingAddress

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ShippingAddress

Enclosing class:
  TdApi

    public static class TdApi.ShippingAddress
    extends TdApi.Object

Describes a shipping address.

### Field Summary

Fields
`java.lang.String` `city` City.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `countryCode` Two-letter ISO 3166-1 alpha-2 country code.
`java.lang.String` `postalCode` Address postal code.
`java.lang.String` `state` State, if applicable.
`java.lang.String` `streetLine1` First line of the address.
`java.lang.String` `streetLine2` Second line of the address.

### Constructor Summary

Constructors
`ShippingAddress()` Default constructor.
`ShippingAddress​(java.lang.String countryCode, java.lang.String state, java.lang.String city, java.lang.String streetLine1, java.lang.String streetLine2, java.lang.String postalCode)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### countryCode

    public java.lang.String countryCode

Two-letter ISO 3166-1 alpha-2 country code.

#### state

    public java.lang.String state

State, if applicable.

#### city

    public java.lang.String city

City.

#### streetLine1

    public java.lang.String streetLine1

First line of the address.

#### streetLine2

    public java.lang.String streetLine2

Second line of the address.

#### postalCode

    public java.lang.String postalCode

Address postal code.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ShippingAddress

    public ShippingAddress()

Default constructor.

#### ShippingAddress

    public ShippingAddress​(java.lang.String countryCode,
                           java.lang.String state,
                           java.lang.String city,
                           java.lang.String streetLine1,
                           java.lang.String streetLine2,
                           java.lang.String postalCode)

Constructor for initialization of all fields.

Parameters:
  `countryCode` - Two-letter ISO 3166-1 alpha-2 country code.
  `state` - State, if applicable.
  `city` - City.
  `streetLine1` - First line of the address.
  `streetLine2` - Second line of the address.
  `postalCode` - Address postal code.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR